#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-gpg-split
Version:	2.0.36
Release:	1%{dist}
Summary:	The Qubes service for secure gpg separation

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires: gcc
BuildRequires: pandoc

Requires:	gnupg2
Requires:   zenity


Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for delegating gpg actions to other VM. You can keep keys in
secure (even network isolated) VM and only pass data to it for
signing/decryption.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
Requires:   python3-dogtail
Requires:   xdotool

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /usr/lib/qubes-gpg-split
/usr/lib/qubes-gpg-split/gpg-server
/usr/lib/qubes-gpg-split/pipe-cat
/usr/bin/qubes-gpg-client
/usr/bin/qubes-gpg-client-wrapper
/usr/bin/qubes-gpg-import-key
/etc/qubes-rpc/qubes.Gpg
%attr(0644,root,root) /etc/qubes-rpc/qubes.GpgImportKey
/etc/profile.d/qubes-gpg.sh
%dir %attr(0777,root,root) /var/run/qubes-gpg-split
/etc/tmpfiles.d/qubes-gpg-split.conf
%{_mandir}/man1/qubes-gpg-client.1*
%{_mandir}/man1/qubes-gpg-client-wrapper.1*
%{_mandir}/man1/qubes-gpg-import-key.1*

%files tests
/usr/lib/qubes-gpg-split/test_evolution.py*
/usr/lib/qubes-gpg-split/test_thunderbird.py*
/usr/lib/qubes-gpg-split/test_smtpd.py*

%changelog
* Thu Mar 21 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg

* Thu Mar 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73c021e
- version 2.0.36

* Sun Mar 17 2019 Alex Jordan <a.l.jordan@protonmail.com> - f60305c
- Whitelist --export-ssh-key option

* Sun Mar 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd8a183
- version 2.0.35

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0519e1a
- travis: update to R4.1

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 803a751
- rpm: fix python macros one more time

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 91eeb44
- rpm: specify python binaries to build with

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b70f52
- rpm: fix Source0 tag

* Fri Feb 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe6104e
- tests: force C.UTF-8 locale during thunderbird setup too

* Thu Feb 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7589f77
- tests: force C.UTF-8 locale

* Tue Feb 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 691630b
- debian: drop autotools in debian/rules

* Sun Jan 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd89f41
- tests: adjust for TB version in Whonix 14

* Tue Jan 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22f38e1
- tests: adjust for Whonix, increase timeouts

* Tue Jan 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e304e58
- tests: increase timeout for Thunderbird start

* Mon Jan 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b377618
- tests: update for Thunderbird 60

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 29ffff9
- tests: improve error reporting

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b13f659
- version 2.0.34

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af45f67
- Merge remote-tracking branch 'origin/pr/21'

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46fddb8
- Wait for GUI session before asking the user for confirmation

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c8f27c
- Move confirmation prompt to qubes.Gpg shell script

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a8cbe1
- tests/thunderbird: give a file choosing dialog a little time

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 501de40
- debian: install test_evolution.py

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79eb45a
- tests: Evolution on Debian

* Wed Nov 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d589220
- tests: Evolution integration

* Thu Nov 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cc843a
- Ignore --photo-viewer

* Fri Oct 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce4c1e7
- tests: improve timeout handling in thunderbird tests

* Fri Oct 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8cc5f5c
- tests: improve workaround for Whonix's time randomization

* Sun Oct 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e26e961
- tests: add xdotool dependency

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c129c34
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 75d9092
- version 2.0.33

* Wed Oct 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66057f5
- tests: fix race condition on .gnupg creation in key import tests

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4b10ad
- rpm: add BR: gcc

* Mon Oct 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fb07475
- tests: avoid non-ASCII characters in test results

* Mon Oct 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 090e2db
- tests: handle desynced clock in Whonix also in basic tests

* Sun Sep 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc5f1e3
- version 2.0.32

* Sun Sep 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7758e14
- travis: update config

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39e86ad
- tests/thunderbird: switch to python3

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b1fe7b
- tests/thunderbird: use Node.child instead of GenericPredicate

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9142e3c
- tests/thunderbird: disable html message composing

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a47fc84
- tests/thunderbird: tweaks for Thunderbird 60

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2736bcd
- tests/thunderbird: autoconfiguration prompt in TB 60

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 71429d2
- tests/thunderbird: handle addons manager in TB 60+

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 128efbd
- tests/thunderbird: make Enigmail settings work with TB 60

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19b6ea1
- tests/thunderbird: disable pEp before setting anything else

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3b51588
- tests/thunderbird: improve error reporting

* Sat Sep 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f92c84
- tests/thunderbid: improve handling file selection dialog

* Thu Sep 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a81ec13
- tests: convert to gpg2

* Thu Sep 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc2b45c
- tests: fix race condition on .gnupg creation

* Tue Jun 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9424cbe
- version 2.0.31

* Tue Jun 19 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6606217
- Emulate --log-file with --logger-fd

* Mon Jun 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 08f0c09
- Allow --logger-fd option

